Test SMTP connection

POST
/api/v2/smtp-servers/test-connection-smtp

Tests the connection to an SMTP server using the provided configuration. Returns a success response if the connection succeeds.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Request Body

application/json

The SMTP server configuration to test.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/smtp-servers/test-connection-smtp" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "fromName": "string",    "hostName": "string",    "smtpPort": 0  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": "string",  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}